Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.binary.visitor
Interface PatternFunction

    public interface PatternFunction

Method Summary
`java.lang.Object` | `caseAfter(AfterPattern p)`
`java.lang.Object` | `caseAttribute(AttributePattern p)`
`java.lang.Object` | `caseChoice(ChoicePattern p)`
`java.lang.Object` | `caseData(DataPattern p)`
`java.lang.Object` | `caseDataExcept(DataExceptPattern p)`
`java.lang.Object` | `caseElement(ElementPattern p)`
`java.lang.Object` | `caseEmpty(EmptyPattern p)`
`java.lang.Object` | `caseError(ErrorPattern p)`
`java.lang.Object` | `caseGroup(GroupPattern p)`
`java.lang.Object` | `caseInterleave(InterleavePattern p)`
`java.lang.Object` | `caseList(ListPattern p)`
`java.lang.Object` | `caseNotAllowed(NotAllowedPattern p)`
`java.lang.Object` | `caseOneOrMore(OneOrMorePattern p)`
`java.lang.Object` | `caseRef(RefPattern p)`
`java.lang.Object` | `caseText(TextPattern p)`
`java.lang.Object` | `caseValue(ValuePattern p)`

Method Detail

### caseEmpty

    java.lang.Object caseEmpty(EmptyPattern p)

### caseNotAllowed

    java.lang.Object caseNotAllowed(NotAllowedPattern p)

### caseError

    java.lang.Object caseError(ErrorPattern p)

### caseGroup

    java.lang.Object caseGroup(GroupPattern p)

### caseInterleave

    java.lang.Object caseInterleave(InterleavePattern p)

### caseChoice

    java.lang.Object caseChoice(ChoicePattern p)

### caseOneOrMore

    java.lang.Object caseOneOrMore(OneOrMorePattern p)

### caseElement

    java.lang.Object caseElement(ElementPattern p)

### caseAttribute

    java.lang.Object caseAttribute(AttributePattern p)

### caseData

    java.lang.Object caseData(DataPattern p)

### caseDataExcept

    java.lang.Object caseDataExcept(DataExceptPattern p)

### caseValue

    java.lang.Object caseValue(ValuePattern p)

### caseText

    java.lang.Object caseText(TextPattern p)

### caseList

    java.lang.Object caseList(ListPattern p)

### caseRef

    java.lang.Object caseRef(RefPattern p)

### caseAfter

    java.lang.Object caseAfter(AfterPattern p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD